tigase.cluster

## Class AmpComponentClustered.PacketForwardCommand

- java.lang.Object
- - tigase.cluster.api.CommandListenerAbstract
  - - tigase.cluster.AmpComponentClustered.PacketForwardCommand

- All Implemented Interfaces:
    Comparable<CommandListener>, CommandListener
  Enclosing class:
    AmpComponentClustered

      protected class AmpComponentClustered.PacketForwardCommand
      extends CommandListenerAbstract

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketForwardCommand(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeCommand(JID fromNode, Set<JID> visitedNodes, Map<String,String> data, Queue<Element> packets)` Method is responsible for executing commands from other nodes and appropriate processing

    - ### Methods inherited from class tigase.cluster.api.CommandListenerAbstract

      `compareTo, equals, getName, getPriority, getStatistics, getSyncInTraffic, getSyncOutTraffic, hashCode, incSyncInTraffic, incSyncOutTraffic, setName, setPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketForwardCommand

          public PacketForwardCommand(String name)

  - ### Method Detail

    - #### executeCommand

          public void executeCommand(JID fromNode,
                                     Set<JID> visitedNodes,
                                     Map<String,String> data,
                                     Queue<Element> packets)
                              throws ClusterCommandException

      Description copied from interface: `CommandListener`
      Method is responsible for executing commands from other nodes and appropriate processing
      Parameters:
        `fromNode` - address of the node from which command was received
        `visitedNodes` - collection of already visited nodes
        `data` - additional data associated with the command in addition to the main `Element`
        `packets` - collection of `Element` commands to be executed
      Throws:
        `ClusterCommandException` - execution exception

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.